Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class TrmiTransactionManager_Stub

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteStub
              com.atomikos.icatch.trmi.TrmiTransactionManager_Stub

All Implemented Interfaces:
  CompositeTransactionServer, ParticipantServer, RecoveryServer, Serializable, Remote

    public final class TrmiTransactionManager_Stub

extends RemoteStub
implements CompositeTransactionServer, ParticipantServer, RecoveryServer, Remote

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`TrmiTransactionManager_Stub()`
`TrmiTransactionManager_Stub(RemoteRef ref)`

Method Summary
`com.atomikos.icatch.trmi.RecoveryCoordinatorProxy` | `addParticipant(Participant $param_Participant_1, String $param_String_2)` Add a new participant to the transaction of the given tid.
`void` | `addSubTxAwareParticipant(SubTxAwareParticipant $param_SubTxAwareParticipant_1, String $param_String_2)` Add a subtx aware participant to the given tx.
`HeuristicMessage[]` | `commit(String $param_String_1)` Commit the participant of the given root, after prepare was sent.
`HeuristicMessage[]` | `commitOnePhase(String $param_String_1, int $param_int_2, Dictionary $param_Dictionary_3)` Perform one-phase commit for the given root.
`void` | `forget(String $param_String_1)` Forget all about a given root.
`int` | `prepare(String $param_String_1, int $param_int_2, Dictionary $param_Dictionary_3)` Prepare the participant of the given root.
`Boolean` | `replayCompletion(String $param_String_1, Participant $param_Participant_2)` Replay completion for given root, on given participant.
`HeuristicMessage[]` | `rollback(String $param_String_1)` Rollback the participant for the given root.

Methods inherited from class java.rmi.server.RemoteStub
`setRef`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrmiTransactionManager_Stub

    public TrmiTransactionManager_Stub()

### TrmiTransactionManager_Stub

    public TrmiTransactionManager_Stub(RemoteRef ref)

Method Detail

### addParticipant

    public com.atomikos.icatch.trmi.RecoveryCoordinatorProxy addParticipant(Participant $param_Participant_1,
                                                                            String $param_String_2)
                                                                     throws SysException,
                                                                            IllegalStateException,
                                                                            RemoteException

  Description copied from interface: `CompositeTransactionServer`
  Add a new participant to the transaction of the given tid.

  Specified by:
    `addParticipant` in interface `CompositeTransactionServer`
  Returns:
    RecoveryCoordinatorProxy Whom to ask for indoubt timeout resolution.
  Throws:
    `SysException` - Unexpected.
    `IllegalStateException` - Illegal state.
    `RemoteException`

### addSubTxAwareParticipant

    public void addSubTxAwareParticipant(SubTxAwareParticipant $param_SubTxAwareParticipant_1,
                                         String $param_String_2)
                                  throws SysException,
                                         IllegalStateException,
                                         RemoteException

  Description copied from interface: `CompositeTransactionServer`
  Add a subtx aware participant to the given tx.

  Specified by:
    `addSubTxAwareParticipant` in interface `CompositeTransactionServer`
  Parameters:
    `$param_SubTxAwareParticipant_1` - The participant to add, will be notified on end().
    `$param_String_2` - The ID of the transaction to which the participant must be added.
  Throws:
    `SysException` - Unexpected error.
    `IllegalStateException` - If txid is no longer an active tx.
    `RemoteException`

### commit

    public HeuristicMessage[] commit(String $param_String_1)
                              throws HeurHazardException,
                                     HeurMixedException,
                                     HeurRollbackException,
                                     RollbackException,
                                     SysException,
                                     RemoteException

  Description copied from interface: `ParticipantServer`
  Commit the participant of the given root, after prepare was sent.

  Specified by:
    `commit` in interface `ParticipantServer`
  Parameters:
    `$param_String_1` - The String of the given root.
  Throws:
    `HeurHazardException`
    `HeurMixedException`
    `HeurRollbackException`
    `RollbackException`
    `SysException`
    `RemoteException`
  See Also:
    `For more info on the exceptions and return value.`

### commitOnePhase

    public HeuristicMessage[] commitOnePhase(String $param_String_1,
                                             int $param_int_2,
                                             Dictionary $param_Dictionary_3)
                                      throws HeurHazardException,
                                             HeurMixedException,
                                             HeurRollbackException,
                                             RollbackException,
                                             SysException,
                                             RemoteException

  Description copied from interface: `ParticipantServer`
  Perform one-phase commit for the given root.

  Specified by:
    `commitOnePhase` in interface `ParticipantServer`
  Parameters:
    `$param_String_1` - The root id.
    `$param_int_2` - The count of siblings for the given participant.
    `$param_Dictionary_3` - The info needed for orphan detection.
  Throws:
    `HeurHazardException`
    `HeurMixedException`
    `HeurRollbackException`
    `RollbackException`
    `SysException`
    `RemoteException`

### forget

    public void forget(String $param_String_1)
                throws SysException,
                       RemoteException

  Description copied from interface: `ParticipantServer`
  Forget all about a given root.

  Specified by:
    `forget` in interface `ParticipantServer`
  Parameters:
    `$param_String_1` - The root to forget about.
  Throws:
    `SysException`
    `RemoteException`

### prepare

    public int prepare(String $param_String_1,
                       int $param_int_2,
                       Dictionary $param_Dictionary_3)
                throws HeurHazardException,
                       HeurMixedException,
                       RollbackException,
                       SysException,
                       RemoteException

  Description copied from interface: `ParticipantServer`
  Prepare the participant of the given root.

  Specified by:
    `prepare` in interface `ParticipantServer`
  Parameters:
    `$param_String_1` - The root String of the participant.
    `$param_int_2` - The count of siblings for the given participant.
    `$param_Dictionary_3` - The list of participants to cascade to, if any.
  Throws:
    `HeurHazardException`
    `HeurMixedException`
    `RollbackException`
    `SysException`
    `RemoteException`
  See Also:
    `For more information on the exceptions and return value.`

### replayCompletion

    public Boolean replayCompletion(String $param_String_1,
                                    Participant $param_Participant_2)
                             throws SysException,
                                    RemoteException

  Description copied from interface: `RecoveryServer`
  Replay completion for given root, on given participant.

  Specified by:
    `replayCompletion` in interface `RecoveryServer`
  Parameters:
    `$param_String_1` - The root.
    `$param_Participant_2` - The participant.
  Throws:
    `RemoteException` - On remote failure.
    `SysException`

### rollback

    public HeuristicMessage[] rollback(String $param_String_1)
                                throws HeurCommitException,
                                       HeurHazardException,
                                       HeurMixedException,
                                       SysException,
                                       RemoteException

  Description copied from interface: `ParticipantServer`
  Rollback the participant for the given root.

  Specified by:
    `rollback` in interface `ParticipantServer`
  Parameters:
    `$param_String_1` - The given root.
  Throws:
    `HeurCommitException`
    `HeurHazardException`
    `HeurMixedException`
    `SysException`
    `RemoteException`
  See Also:
    `for more exception info.`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.